TESTING/LIN/zptt01.f(3)

NAME
TESTING/LIN/zptt01.f

SYNOPSIS

  Functions/Subroutines
subroutine zptt01 (n, d, e, df, ef, work, resid)
ZPTT01

Function/Subroutine Documentation

  subroutine zptt01 (integer n, double precision, dimension( * ) d, complex*16, dimension( * ) e, double precision, dimension( * ) df, complex*16, dimension( * ) ef, complex*16, dimension( * ) work, double precision resid)

ZPTT01

Purpose:

    !>
    !> ZPTT01 reconstructs a tridiagonal matrix A from its L*D*L'
    !> factorization and computes the residual
    !>    norm(L*D*L' - A) / ( n * norm(A) * EPS ),
    !> where EPS is the machine epsilon.
    !>

Parameters
    N

    !>          N is INTEGER
    !>          The order of the matrix A.
    !>

    D

    !>          D is DOUBLE PRECISION array, dimension (N)
    !>          The n diagonal elements of the tridiagonal matrix A.
    !>

    E

    !>          E is COMPLEX*16 array, dimension (N-1)
    !>          The (n-1) subdiagonal elements of the tridiagonal matrix A.
    !>

    DF

    !>          DF is DOUBLE PRECISION array, dimension (N)
    !>          The n diagonal elements of the factor L from the L*D*L'
    !>          factorization of A.
    !>

    EF

    !>          EF is COMPLEX*16 array, dimension (N-1)
    !>          The (n-1) subdiagonal elements of the factor L from the
    !>          L*D*L' factorization of A.
    !>

    WORK

    !>          WORK is COMPLEX*16 array, dimension (2*N)
    !>

    RESID

    !>          RESID is DOUBLE PRECISION
    !>          norm(L*D*L' - A) / (n * norm(A) * EPS)
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 91 of file zptt01.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.